### Method

# GLib HashTableIter next

since: 2.16

#### Declaration [src]

    gboolean
    g_hash_table_iter_next (
      GHashTableIter* iter,
      gpointer* key,
      gpointer* value
    )

#### Description [src]

Advances `iter` and retrieves the key and/or value that are now pointed to as a result of this advancement. If `FALSE` is returned, `key` and `value` are not set, and the iterator becomes invalid.

Available since: 2.16

#### Parameters

`key`

  Type: `gpointer*`

  A location to store the key.

  The argument will be set by the function.
  The argument can be set to `NULL` by the method.
  The argument can be `NULL`.

`value`

  Type: `gpointer*`

  A location to store the value.

  The argument will be set by the function.
  The argument can be set to `NULL` by the method.
  The argument can be `NULL`.

#### Return value

Type: `gboolean`

`FALSE` if the end of the `GHashTable` has been reached.